2011/10/09

MindTouch core 10.1 needs Mono 2.10; that is reason stacks so much

ガラス細工の "aquarius" オクムラタケヒサ氏の作品。7つの作成していただいた中から最終的に選択したものを購入。KOBE トアロードクラフトアートフェア 2008にて

MindTouch core が復活。原因は、Monoのバージョンが古すぎたため。MindTouch core 10系は、Mono 2.10以上が必要らしいのに、Ubuntu 10.04 LTS は mono 2.4.4 だったためのようだ。Mono PPA : Geza Kovacs https://launchpad.net/~gezakovacs/+archive/mono を利用し、アップグレードしたら機嫌よく動いてくれている。嬉しい。

Before

mono -V
Mono JIT compiler version 2.4.4 (Debian 2.4.4~svn151842-1ubuntu4)
Copyright (C) 2002-2010 Novell, Inc and Contributors. www.mono-project.com
TLS: __thread
GC: Included Boehm (with typed GC)
SIGSEGV: altstack
Notifications: epoll
Architecture: x86
Disabled: none

After
mono -V
Mono JIT compiler version 2.10.1 (Debian 2.10.1-4~lucid1)
Copyright (C) 2002-2011 Novell, Inc and Contributors. www.mono-project.com
TLS: __thread
SIGSEGV: altstack
Notifications: epoll
Architecture: x86
Disabled: none
Misc: softdebug
LLVM: supported, not enabled.
GC: Included Boehm (with typed GC and Parallel Mark)

0 件のコメント: